/*

  Occlusion Baking Demo
  
  + Textures for the baked_maps_demo scene
  
  --
  Jaime Vives Piqueres, Jul. 2012  <jaime@ignorancia.org>
  
*/

// COPPER WITH CORROSION
#declare t_copper= 
texture{
  pigment{rgb <203, 109, 81>/255}
  normal{granite .1 scale .1}
  finish{
    specular .75 roughness .05 metallic
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare t_copper_corrosion=
texture{
  pigment{HuntersGreen*.5}
  normal{granite .5 scale .01}
}
#declare i_copper=
interior{ior 1.1}

// BRONZE WITH PATINA/DIRT
#declare t_bronze= 
texture{
  pigment{rgb <165, 113, 100>/255}
  normal{granite .1 scale .1}
  finish{
    specular 1 roughness .025 metallic
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare t_bronze_patina=
texture{
  pigment{DarkGreen*.01}
  normal{granite .5 scale .01}
}
#declare i_bronze=
interior{ior 1.18}

// IRON WITH RUST
#declare t_iron= 
texture{
  pigment{SteelBlue*.25+Gray10}
  normal{granite .1 scale .1}
  finish{
    specular 1 roughness .05 metallic
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare t_iron_corrosion=
texture{
  pigment{rgb .5*<183, 65, 14>/255}
  normal{granite .5 scale .01}
}
#declare i_iron=
interior{ior 1.51}

// LEAD WITH CORROSION
#declare t_lead= 
texture{
  pigment{rgb Gray20+SteelBlue*.1}
  normal{granite .1 scale .1}
  finish{
    specular 1 metallic
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare t_lead_corrosion=
texture{
  pigment{Orange*.3+Gray*.3}
  normal{granite .5 scale .01}
}
#declare i_lead=
interior{ior 2.01}

// DIRTY CERAMIC
#declare t_ceramic= 
texture{
  pigment{GreenYellow}
  finish{
    specular 1 roughness .0033
    diffuse .5 
    reflection{0,1 fresnel} conserve_energy
  }
}
#declare t_ceramic_dirt=
texture{
  pigment{Gray10*.1}
  normal{granite .1 scale .01}
}
#declare i_ceramic=
interior{ior 1.51}

// DUSTY MARBLE
#include "stones.inc"
#declare t_marble= 
texture{
  T_Stone18 scale .1
  finish{ambient 0}
}
#declare t_marble_dirt=
texture{
  pigment{Gray10+Tan*.5}
  normal{granite .1 scale .01}
}
#declare i_marble=
interior{ior 1.51}

// WORN PAINT
#declare t_worn_paint_rust= 
texture{
  pigment{DarkTan*.1+SteelBlue*.1+Gray10}
  normal{granite .1 scale .1}
  finish{
    specular 1 roughness .05 metallic
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare t_worn_paint=
texture{
  pigment{
    //Turquoise
    SlateBlue
  }
  finish{
    Phong_Shiny ambient 0
    diffuse .5 
    reflection{0,1 fresnel metallic} conserve_energy
  }
}
#declare i_worn_paint=
interior{ior 1.51}
